• Like 0

    Gnome Books and Gnome Documents Apps not opening


    When i attempt to open gnome books or documents then the application does not open at all. The apps does show up in the top task bar and shows that the app is loading but nothing happens. Any help to resolve this ?

  • Like 0

    I am having this problem too. Did you figure it out?

  • Like 0

    Confirm that bug, me too.

    $ gnome-books
    
    ** (org.gnome.Books:4517): WARNING **: Failed to load shared library 'liblibreofficekitgtk.so' referenced by the typelib: liblibreofficekitgtk.so: no se puede abrir el fichero del objeto compartido: No existe el fichero o el directorio
    
    (org.gnome.Books:4517): Gjs-WARNING **: JS ERROR: Error: Unsupported type void, deriving from fundamental void
    LOKView<.[email protected]:///org/gnome/Books/js/lokview.js:236
    [email protected]:///org/gnome/gjs/modules/lang.js:178
    LOKView<.[email protected]:///org/gnome/Books/js/lokview.js:130
    [email protected]:///org/gnome/gjs/modules/lang.js:178
    Embed<.[email protected]:///org/gnome/Books/js/embed.js:93
    [email protected]:///org/gnome/gjs/modules/lang.js:178
    MainWindow<.[email protected]:///org/gnome/Books/js/mainWindow.js:85
    [email protected]:///org/gnome/gjs/modules/lang.js:178
    Application<.[email protected]:///org/gnome/Books/js/application.js:663
    [email protected]:///org/gnome/gjs/modules/lang.js:178
    Application<.[email protected]:///org/gnome/Books/js/application.js:692
    [email protected]:///org/gnome/gjs/modules/lang.js:178
    [email protected]:///org/gnome/Books/js/main.js:48
    [email protected]:///org/gnome/gjs/modules/package.js:192
    @/usr/bin/gnome-books:6
    
    
    (org.gnome.Books:4517): Gjs-CRITICAL **: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy() or dispose() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.
    
    (org.gnome.Books:4517): Gjs-CRITICAL **: The offending signal was destroy on Gjs_ViewContainer 0x231f350.
    
    (org.gnome.Books:4517): Gjs-CRITICAL **: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy() or dispose() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.
    
    (org.gnome.Books:4517): Gjs-CRITICAL **: The offending signal was destroy on Gjs_ViewContainer 0x231f510.
    
    (org.gnome.Books:4517): Gjs-CRITICAL **: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy() or dispose() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.
    
    (org.gnome.Books:4517): Gjs-CRITICAL **: The offending signal was destroy on Gjs_ViewContainer 0x231f6d0.
    
    (org.gnome.Books:4517): Gjs-CRITICAL **: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy() or dispose() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.
    
    (org.gnome.Books:4517): Gjs-CRITICAL **: The offending signal was destroy on Gjs_PreviewView 0x231f890.
    
    (org.gnome.Books:4517): GLib-GObject-WARNING **: invalid unclassed pointer in cast to 'GdMainViewGeneric'
    
    (org.gnome.Books:4517): GLib-GObject-CRITICAL **: g_type_interface_peek: assertion 'instance_class != NULL' failed
    Violación de segmento (`core' generado)
    
    
    gnome-documents
    
    (org.gnome.Documents:4561): GLib-GIO-CRITICAL **: g_dbus_interface_skeleton_unexport_from_connection: assertion 'interface_->priv->connections != NULL' failed
    
    

    Antergos Gnome - Lenovo G4070
    Antergos XFCE (Ex-Mate) - Dell D630
    Antergos Cinnamon - Asus E-11
    Puppy Linux Precise 5.7.1 - Asus 701 EEEpc
    Puppy Linux Lxpuptahr USB live - All machines

  • Like 1

    @Caiosama205 I have also exactly the same issue

  • Like 0
    • 1 el mismo problema y el mismo resultado=
    [[email protected] ~]$ gnome-books
    
    ** (org.gnome.Books:2030): WARNING **: Failed to load shared library 'liblibreofficekitgtk.so' referenced by the typelib: liblibreofficekitgtk.so: no se puede abrir el fichero del objeto compartido: No existe el fichero o el directorio
    
    (org.gnome.Books:2030): Gjs-WARNING **: JS ERROR: Error: Unsupported type void, deriving from fundamental void
    LOKView<.[email protected]:///org/gnome/Books/js/lokview.js:236
    [email protected]:///org/gnome/gjs/modules/lang.js:178
    LOKView<.[email protected]:///org/gnome/Books/js/lokview.js:130
    [email protected]:///org/gnome/gjs/modules/lang.js:178
    Embed<.[email protected]:///org/gnome/Books/js/embed.js:93
    [email protected]:///org/gnome/gjs/modules/lang.js:178
    MainWindow<.[email protected]:///org/gnome/Books/js/mainWindow.js:85
    [email protected]:///org/gnome/gjs/modules/lang.js:178
    Application<.[email protected]:///org/gnome/Books/js/application.js:663
    [email protected]:///org/gnome/gjs/modules/lang.js:178
    Application<.[email protected]:///org/gnome/Books/js/application.js:692
    [email protected]:///org/gnome/gjs/modules/lang.js:178
    [email protected]:///org/gnome/Books/js/main.js:48
    [email protected]:///org/gnome/gjs/modules/package.js:192
    @/usr/bin/gnome-books:6
    
    
    (org.gnome.Books:2030): Gjs-CRITICAL **: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy() or dispose() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.
    
    (org.gnome.Books:2030): Gjs-CRITICAL **: The offending signal was destroy on Gjs_ViewContainer 0x2aee350.
    
    (org.gnome.Books:2030): Gjs-CRITICAL **: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy() or dispose() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.
    
    (org.gnome.Books:2030): Gjs-CRITICAL **: The offending signal was destroy on Gjs_ViewContainer 0x2aee510.
    
    (org.gnome.Books:2030): Gjs-CRITICAL **: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy() or dispose() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.
    
    (org.gnome.Books:2030): Gjs-CRITICAL **: The offending signal was destroy on Gjs_ViewContainer 0x2aee6d0.
    
    (org.gnome.Books:2030): Gjs-CRITICAL **: Attempting to call back into JSAPI during the sweeping phase of GC. This is most likely caused by not destroying a Clutter actor or Gtk+ widget with ::destroy signals connected, but can also be caused by using the destroy() or dispose() vfuncs. Because it would crash the application, it has been blocked and the JS callback not invoked.
    
    (org.gnome.Books:2030): Gjs-CRITICAL **: The offending signal was destroy on Gjs_PreviewView 0x2aee890.
    
    (org.gnome.Books:2030): GLib-GObject-WARNING **: invalid unclassed pointer in cast to 'GdMainViewGeneric'
    
    (org.gnome.Books:2030): GLib-GObject-CRITICAL **: g_type_interface_peek: assertion 'instance_class != NULL' failed
    Violación de segmento (`core' generado)
    [[email protected] ~]$
    

    Mis respetos.-

  • Like 0

    Does anyone hava a solution for this? Have exactly the same problem on a recently installed laptop

  • Like 1

    Gnome 3.22 upgrade resolves the issue.

documents2 books1 gnome176 Posts 7Views 674
Log in to reply